Package com.enonic.xp.node

## Class SyncWorkResolverParams.Builder

- java.lang.Object
- - com.enonic.xp.node.SyncWorkResolverParams.Builder

- Enclosing class:
    SyncWorkResolverParams

      public static final class SyncWorkResolverParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SyncWorkResolverParams.Builder` | `branch​(Branch branch)` |
    `SyncWorkResolverParams` | `build()` |
    `SyncWorkResolverParams.Builder` | `excludedNodeIds​(NodeIds excludedNodeIds)` |
    `SyncWorkResolverParams.Builder` | `filter​(Function<NodeIds,​NodeIds> filter)` |
    `SyncWorkResolverParams.Builder` | `includeChildren​(boolean includeChildren)` |
    `SyncWorkResolverParams.Builder` | `includeDependencies​(boolean includeDependencies)` |
    `SyncWorkResolverParams.Builder` | `initialDiffFilter​(Function<NodeIds,​NodeIds> initialDiffFilter)` | Deprecated.
    `SyncWorkResolverParams.Builder` | `nodeId​(NodeId nodeId)` |
    `SyncWorkResolverParams.Builder` | `statusesToStopDependenciesSearch​(Set<CompareStatus> statusesToStopDependenciesSearch)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### branch

          public SyncWorkResolverParams.Builder branch​(Branch branch)

    - #### nodeId

          public SyncWorkResolverParams.Builder nodeId​(NodeId nodeId)

    - #### excludedNodeIds

          public SyncWorkResolverParams.Builder excludedNodeIds​(NodeIds excludedNodeIds)

    - #### includeChildren

          public SyncWorkResolverParams.Builder includeChildren​(boolean includeChildren)

    - #### includeDependencies

          public SyncWorkResolverParams.Builder includeDependencies​(boolean includeDependencies)

    - #### initialDiffFilter

          @Deprecated
          public SyncWorkResolverParams.Builder initialDiffFilter​(Function<NodeIds,​NodeIds> initialDiffFilter)

      Deprecated.

    - #### statusesToStopDependenciesSearch

          public SyncWorkResolverParams.Builder statusesToStopDependenciesSearch​(Set<CompareStatus> statusesToStopDependenciesSearch)

    - #### filter

          public SyncWorkResolverParams.Builder filter​(Function<NodeIds,​NodeIds> filter)

    - #### build

          public SyncWorkResolverParams build()